summaryrefslogtreecommitdiff
path: root/tests/touch
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/touch
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/touch')
-rwxr-xr-xtests/touch/fail-diag4
-rwxr-xr-xtests/touch/no-create-missing4
-rwxr-xr-xtests/touch/not-owner2
-rwxr-xr-xtests/touch/obsolescent4
4 files changed, 7 insertions, 7 deletions
diff --git a/tests/touch/fail-diag b/tests/touch/fail-diag
index f050f5798..f6dba8ee3 100755
--- a/tests/touch/fail-diag
+++ b/tests/touch/fail-diag
@@ -26,7 +26,7 @@ ls -d $d1 2> /dev/null && framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -39,4 +39,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/touch/no-create-missing b/tests/touch/no-create-missing
index 24745fa2d..d75257420 100755
--- a/tests/touch/no-create-missing
+++ b/tests/touch/no-create-missing
@@ -17,7 +17,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -26,4 +26,4 @@ touch -c no-file > /dev/null 2>&1 || fail=1
touch -cm no-file > /dev/null 2>&1 || fail=1
touch -ca no-file > /dev/null 2>&1 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/touch/not-owner b/tests/touch/not-owner
index b053c06d7..49af6941b 100755
--- a/tests/touch/not-owner
+++ b/tests/touch/not-owner
@@ -45,4 +45,4 @@ test "$match" = 1 || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/touch/obsolescent b/tests/touch/obsolescent
index 31f32658e..b7242ed20 100755
--- a/tests/touch/obsolescent
+++ b/tests/touch/obsolescent
@@ -17,7 +17,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -27,4 +27,4 @@ for ones in 11111111 1111111111; do
test -f $ones || fail=1
done
-(exit $fail); exit
+(exit $fail); exit $fail